Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.compliance.ResultInformation Class Reference
Inheritance diagram for foxit.addon.compliance.ResultInformation:

## Public Member Functions
| ResultInformation ()
| Constructor.
| ResultInformation (ResultInformation other)
| Constructor, with another result information object. More...
FixupData | GetFixupData (int index)
| Get a fixup data. More...
int | GetFixupDataCount ()
| Get count of fixup data. More...
HitData | GetHitData (int index)
| Get a hit data. More...
int | GetHitDataCount ()
| Get count of hit data. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents the set of result information for verification or conversion process. Fixup data or hit data can be retrieved from the result information.

## Constructor & Destructor Documentation

## ◆ ResultInformation()

foxit.addon.compliance.ResultInformation.ResultInformation | ( | ResultInformation | other | ) |
| inline

Constructor, with another result information object.

Parameters

  [in] | other | Another ResultInformation object.

## Member Function Documentation

## ◆ GetFixupData()

FixupData foxit.addon.compliance.ResultInformation.GetFixupData | ( | int | index | ) |
| inline

Get a fixup data.

Parameters

  [in] | index | Index of fixup data to be retrieved. Valid range: from 0 to (count-1). count is returned by function ResultInformation.GetFixupDataCount .

Returns
  Fixup data.

## ◆ GetFixupDataCount()

int foxit.addon.compliance.ResultInformation.GetFixupDataCount | ( |  | ) |
| inline

Get count of fixup data.

Returns
  Count of fixup data.

## ◆ GetHitData()

HitData foxit.addon.compliance.ResultInformation.GetHitData | ( | int | index | ) |
| inline

Get a hit data.

Parameters

  [in] | index | Index of hit data to be retrieved. Valid range: from 0 to (count-1). count is returned by function ResultInformation.GetHitDataCount .

Returns
  Hit data.

## ◆ GetHitDataCount()

int foxit.addon.compliance.ResultInformation.GetHitDataCount | ( |  | ) |
| inline

Get count of hit data.

Returns
  Count of hit data.

## ◆ IsEmpty()

bool foxit.addon.compliance.ResultInformation.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.